Subject: Move "Validation" to its own subpackage
Description

Currently the "Validation" features reside in the "Security" subpackage of "Framework". As discussed, this should be moved to its own
subpackage:

Framework/
   Classes/
      Validation/
         T3_Framework_Validation_ValidatorInterface.php
         ...
         Filter/
            T3_Framework_Validation_FilterInterface.php

"Filter" may become a subpart of "Validation" ("FilterInterface" doesn't exist yet).

Associated revisions
Revision cf097610 - 2008-04-16 17:36 - Andreas Förthner

This is all work in progress, but a big part of the Validation/Property Package is already finished:

    -  Implemented the basic Validation Framework. This fixes #65, #67, #68, #70
    -  Implemented some base validators. This fixes #71
    -  Implemented a basic Framwework for PropertyEditors

History
#1 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#2 - 2008-07-01 15:31 - Robert Lemke
- Target version deleted (18)
